Bug 454833

Summary: LTC:4.8:201569:Update to latest version of ipmitool
Product: Red Hat Enterprise Linux 4 Reporter: IBM Bug Proxy <bugproxy>
Component: OpenIPMIAssignee: Jan Safranek <jsafrane>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: 4.8CC: epollard, jjarvis, jlarrew, pknirsch, riek, rlerch
Target Milestone: betaKeywords: FutureFeature, Rebase
Target Release: 4.8   
Hardware: x86_64   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
ipmitool has been updated to the upstream version 1.8.11, which provides several bug fixes and enhancements over the previous release, including the following: - Documentation update - Bugfixes for SDR/FRU, SOL and many others - New commands and options Please note that behaviour of the -K command line switch has changed from prompt for Kg key to read Kg key from environment variable. The -Y flag now behaves as the -K did prior to this update.
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-05-18 16:08:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 452249, 456127, 456128, 456129, 456136, 458123, 458752    
Attachments:
Description Flags
Fix for bug that causes SOL sessions to randomly drop none

Description IBM Bug Proxy 2008-07-10 00:21:22 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-07-09 17:31 EDT
1. Feature Id:	[201569]
Feature Name:	Update to latest version of ipmitool
Sponsor:	xSeries
Category:	xSeries
Request Type:	Driver - Feature from Upstream

2. Short Description
A new version of ipmitool will be released soon to address the following issues:
 
  - critical bug fixes from previous update.
  - documentation update, man page re-write to include all the new functionality and commands in 
     ipmitool
 
  - new command options, e.g. watchdog timer shut-off 
 
  - updates to OEM Message catalog with new platform messages.
 
  - SDR/FRU collection fixes/enhancements

3. Business Case
Update ipmitool to the latest release for increased reliability, enhanced support for new IBM
platforms, features needed by customers.


4. Sponsor Priority	1
IBM Confidential:	no
Code Contribution:	IBM code
Upstream Acceptance:	In Progress
Component Version Target:	1.8.10
Performance Assistance:	

5. PM Contact:	Monte Knutson, mknutson@us.ibm.com, 877-894-1495

6. Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

7. LTC Manager: Deneen T. Dock, deneen@us.ibm.com
Comment 1 Phil Knirsch 2008-07-25 10:23:36 EDT
This depends on the release date of ipmitool-1.8.10. As that is currently still
pending acceptance from Development side will be in hold till the final release.

Thanks,

Read ya, Phil
Comment 2 IBM Bug Proxy 2008-08-11 21:10:45 EDT
ipmitool v1.8.10 was released on 8/8/2008.
Comment 3 Phil Knirsch 2008-08-18 12:47:55 EDT
Granting Devel ACK as per comment #2.

Thanks,

Read ya, Phil
Comment 6 John Jarvis 2008-10-06 15:22:48 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux team
for inclusion in a Red Hat Enterprise Linux minor release.   As a result of this
evaluation, Red Hat has tentatively approved inclusion of this feature in the
next Red Hat Enterprise Linux Update minor release.   While it is a goal to
include this enhancement in the next minor release of Red Hat Enterprise Linux,
the enhancement is not yet committed for inclusion in the next minor release
pending the next phase of actual code integration and successful Red Hat and
partner testing.
Comment 8 Phil Knirsch 2008-11-03 08:06:03 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* System Services Enhancements
+ Rebased ipmitool
  - Documentation update
  - Bugfixes for SDR/FRU, SOL and many other
  - New commands and options
Comment 10 IBM Bug Proxy 2008-12-16 10:51:44 EST
Created attachment 327116 [details]
Fix for bug that causes SOL sessions to randomly drop  



The attached patch fixes a bug that's been lurking for a long time,
first in the lan plugin and then propagated to the lanplus plugin.  If
there are multiple entries on the ipmi_req_entries linked list, and
ipmi_req_remove_entry() is called to remove the first entry, all
additional entries are also removed from the list, causing problems when
those requests complete.  This condition is rather rare but seems to
occur more frequently under high latency conditions on the network.
Comment 11 Ryan Lerch 2009-01-21 21:12:08 EST
started editing the release note.

can the draft be updated with some more information on the bugfixes / new features this rebase applies?

cheers,
ryanlerch
Comment 12 Ryan Lerch 2009-01-21 21:12:08 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,5 +1,5 @@
-* System Services Enhancements
-+ Rebased ipmitool
+ipmitool has been updated to the more recent upstream version 1.8.10, which provides several bug fixes and enhancements over the previous release, including the following:
+
   - Documentation update
   - Bugfixes for SDR/FRU, SOL and many other
   - New commands and options
Comment 15 Ryan Lerch 2009-02-25 19:19:30 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,5 +1,5 @@
-ipmitool has been updated to the more recent upstream version 1.8.10, which provides several bug fixes and enhancements over the previous release, including the following:
+ipmitool has been updated to the upstream version 1.8.10, which provides several bug fixes and enhancements over the previous release, including the following:
 
   - Documentation update
-  - Bugfixes for SDR/FRU, SOL and many other
+  - Bugfixes for SDR/FRU, SOL and many others
   - New commands and options
Comment 16 IBM Bug Proxy 2009-02-25 20:50:40 EST
(In reply to comment #13)
> ------- Comment From rlerch@redhat.com 2009-02-25 19:19:30 EDT
> following:
> - Documentation update
> -  - Bugfixes for SDR/FRU, SOL and many other
> +  - Bugfixes for SDR/FRU, SOL and many others
> - New commands and options

Hi,

Sorry, that's not what I was trying to relate.  ipmitool v1.8.10 is not the latest version.  The software package itself needs to be updated to be the latest which is v1.8.11:

http://sourceforge.net/project/showfiles.php?group_id=95200&package_id=101411&release_id=664037

The SOL fix described elsewhere in this BZ has been applied to the v1.8.11 but is not in v1.8.10.  The ipmitool software package really needs to be updated to v1.8.11 for RHEL4.8.

Once the software has been updated, the release notes can also be updated to mention that v1.8.11 is in RHEL4.8.  The bug fixes and enhancements added to v1.8.11 are listed in the v1.8.11 Release Note:

http://sourceforge.net/project/shownotes.php?group_id=95200&release_id=664037

Thank you very much.
Comment 17 Jan Safranek 2009-02-26 07:46:11 EST
ipmitool rebased to 1.8.11. As result, the -K option does not work as it used to be.

Ipmitool 1.8.9 in RHEL 4.7:
-K = read kg key from terminal

Ipmitool 1.8.11 in RHEL 4.8:
-K = read kg_key from environment variable IPMI_KGKEY
-Y = read kg key from terminal
Comment 18 Jan Safranek 2009-02-26 07:46:11 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,4 @@
-ipmitool has been updated to the upstream version 1.8.10, which provides several bug fixes and enhancements over the previous release, including the following:
+ipmitool has been updated to the upstream version 1.8.11, which provides several bug fixes and enhancements over the previous release, including the following:
 
   - Documentation update
   - Bugfixes for SDR/FRU, SOL and many others
Comment 19 Jan Safranek 2009-02-26 07:51:11 EST
release note updated again to reflect changed '-K' behavior.
Comment 20 Jan Safranek 2009-02-26 07:51:11 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -2,4 +2,6 @@
 
   - Documentation update
   - Bugfixes for SDR/FRU, SOL and many others
-  - New commands and options+  - New commands and options
+
+Please note that behaviour of '-K' command line switch has changed from 'prompt for Kg key' to 'read Kg key from environment variable'. Use '-Y' instead of '-K'.
Comment 21 IBM Bug Proxy 2009-02-26 14:30:56 EST
(In reply to comment #15)
> ipmitool rebased to 1.8.11. As result, the -K option does not work as it used
> to be.
> Ipmitool 1.8.9 in RHEL 4.7:
> -K = read kg key from terminal
> Ipmitool 1.8.11 in RHEL 4.8:
> -K = read kg_key from environment variable IPMI_KGKEY
> -Y = read kg key from terminal
> Release note updated. If any revisions are required, please set the
> "requires_release_notes"  flag to "?" and edit the "Release Notes" field
> accordingly.
> All revisions will be proofread by the Engineering Content Services team.
> Diffed Contents:
> @@ -1,4 +1,4 @@
> -ipmitool has been updated to the upstream version 1.8.10, which provides
> several bug fixes and enhancements over the previous release, including the
> following:
> +ipmitool has been updated to the upstream version 1.8.11, which provides
> several bug fixes and enhancements over the previous release, including the
> following:
> - Documentation update
> - Bugfixes for SDR/FRU, SOL and many others
> release note updated again to reflect changed '-K' behavior.
> Release note updated. If any revisions are required, please set the
> "requires_release_notes"  flag to "?" and edit the "Release Notes" field
> accordingly.
> All revisions will be proofread by the Engineering Content Services team.
> Diffed Contents:
> @@ -2,4 +2,6 @@
> - Documentation update
> - Bugfixes for SDR/FRU, SOL and many others
> -  - New commands and options+  - New commands and options
> +
> +Please note that behaviour of '-K' command line switch has changed from
> 'prompt for Kg key' to 'read Kg key from environment variable'. Use '-Y'
> instead of '-K'.

Hi,

Sorry,  I just want to make sure we're getting this right.

First, I don't remember a -Y in 1.8.7 but maybe RH had their own version?  I looked back through the CVS log for ipmi_main.c but didn't see it in the history.  AFAIK, there hasn't been behavior change for any of the kgkey (at least) command line options.  Maybe I'm just blind though.  :-/

Next, regarding current/new  kgkey functionality,

-k <key> -  was added to ipmitool in 2006.  Allows a character string kgkey to be entered on the command line.

-K  -- new option for 1.8.11.  Allows kgkey to be picked up from an environmental variable (IPMI_KGKEY)

-y <hex key> - (Note this is a lower-case 'y') -  this is another new option for 1.8.11.  Allows a hexadecimal kgkey string to be entered on the command line (allows the key to contain non-printable characters).

Again, I don't know of any 'Y' (upper case) option in the current  ipmitool v1.8.11 (or past versions).

Could you please take another look?   Thank you very much.
Comment 22 Jan Safranek 2009-02-27 02:58:52 EST
> Again, I don't know of any 'Y' (upper case) option in the current  ipmitool
> v1.8.11 (or past versions).
> 
> Could you please take another look?   Thank you very much.

-K was added to our release of ipmitool on customer request, bug #235198. Unfortunately, the referred patch never got accepted upstream [1], but we have to support it for whole RHEL4 and RHEL5 lifetime, so I had to rename it :(.

[1]: https://sourceforge.net/tracker/index.php?func=detail&aid=1694175&group_id=95200&atid=610553
Comment 23 IBM Bug Proxy 2009-02-27 13:50:41 EST
(In reply to comment #17)
> > Again, I don't know of any 'Y' (upper case) option in the current  ipmitool
> > v1.8.11 (or past versions).
> >
> > Could you please take another look?   Thank you very much.
> -K was added to our release of ipmitool on customer request, bug #235198.
> Unfortunately, the referred patch never got accepted upstream [1], but we have
> to support it for whole RHEL4 and RHEL5 lifetime, so I had to rename it :(.
> [1]:
> https://sourceforge.net/tracker/index.php?func=detail&aid=1694175&group_id=95200&atid=610553

Oh, ok.   :-(  Too bad the functionality didn't get officially rolled into ipmitool sooner.  Well, hopefully customers will have all the kgkey entry options they'll need now with 1.8.11.  :-}

Thanks much.
Comment 24 Jan Safranek 2009-03-05 04:21:29 EST
part of RHBA-2009:8225-03
Comment 29 Ryan Lerch 2009-03-24 22:25:43 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -4,4 +4,4 @@
   - Bugfixes for SDR/FRU, SOL and many others
   - New commands and options
 
-Please note that behaviour of '-K' command line switch has changed from 'prompt for Kg key' to 'read Kg key from environment variable'. Use '-Y' instead of '-K'.+Please note that behaviour of the -K command line switch has changed from prompt for Kg key to read Kg key from environment variable. The -Y flag now behaves as the -K did prior to this update.
Comment 30 errata-xmlrpc 2009-05-18 16:08:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0964.html
Comment 31 IBM Bug Proxy 2009-05-18 16:13:46 EDT
((In reply to comment #10)
> Created an attachment (id=41836) [details]
> Fix for bug that causes SOL sessions to randomly drop
> The attached patch fixes a bug that's been lurking for a long time,
> first in the lan plugin and then propagated to the lanplus plugin.  If
> there are multiple entries on the ipmi_req_entries linked list, and
> ipmi_req_remove_entry() is called to remove the first entry, all
> additional entries are also removed from the list, causing problems when
> those requests complete.  This condition is rather rare but seems to
> occur more frequently under high latency conditions on the network.

The fix for this issue and many other issues has been included in ipmitool v1.8.11.  Please update ipmitool in RHEL4.8  to v1.8.11 which is the latest official version posted on SourceForge.

Thank you.
Comment 32 IBM Bug Proxy 2011-02-22 05:05:11 EST
------- Comment From prem.karat@linux.vnet.ibm.com 2011-02-22 04:54 EDT-------
(In reply to comment #22)
> ((In reply to comment #10)
> > Created an attachment (id=41836) [details] [details]
> > Fix for bug that causes SOL sessions to randomly drop
> > The attached patch fixes a bug that's been lurking for a long time,
> > first in the lan plugin and then propagated to the lanplus plugin.  If
> > there are multiple entries on the ipmi_req_entries linked list, and
> > ipmi_req_remove_entry() is called to remove the first entry, all
> > additional entries are also removed from the list, causing problems when
> > those requests complete.  This condition is rather rare but seems to
> > occur more frequently under high latency conditions on the network.
>
> The fix for this issue and many other issues has been included in ipmitool
> v1.8.11.  Please update ipmitool in RHEL4.8  to v1.8.11 which is the latest
> official version posted on SourceForge.
>
> Thank you.

***Reviewed as a part of clean up activity********

Closing this one out as per the last comment

Cheers,
Prem